Subject: bug#64698: 29.0.92; on netbsd 9.3, gmake and "gmake bootstrap" fail to proceed

From: Van Ly <[email-masked]>
Date: Wed, 19 Jul 2023 03:10:13 GMT

> Date: Tue, 18 Jul 2023 14:35:08 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Cc: [email-masked]
> > Date: Tue, 18 Jul 2023 18:22:50 +0800
> > From:  Po Lu via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > Van Ly <[email-masked]> writes:
> > 
> > > On netbsd 9.3, the following configure options will let gmake build to
> > > completion.
> > 
> > [...]
> > 
> > You have ommitted the compiler and Make output from the compilation,
> > leaving only the troubleshooting instructions printed by the Makefile
> > after it failed.
> > 
> > Please include complete build output, or at least the actual error
> > itself.
> 
> Yes, please.
> 
> Also, please tell what is the last commit on the emacs-29 branch that
> you used to build (assuming you have built the emacs-29 branch of the
> Emacs Git repository; if not, please tell what did you sue for the
> sources).
> 

The sour was unpacked from a complete emacs-29.0.92.tar.xz file and
the sig detail is listed as part of the complete build output in the
attached file.  Attempting a git log command gives,

 $ git log
 fatal: not a git repository (or any of the parent directories): .git

The xz file would have come from the gnu website for download announced on an emacs feed.

The tooling I believe used was as follows,

 $ gmake -v
 GNU Make 4.3
 Built for x86_64--netbsd

 $ gcc --version
 gcc (GCC) 10.3.0

Here is the full build output.  The fly in the soup is I interrupted
the first unadultrated configure run since I recollected I didn't want X
and ran './configure --without-x.  That occurs at line 270 of 1985.